#!/usr/bin/env python
#-*- coding: utf-8 -*-
"""Simple python library to drive DLP-TEMP module from www.dlpdesign.com
"""
import time
import sys
import os
import matplotlib.pyplot as plt
import numpy as np
import serial

__author__ = "Alexis Jeandet"
__copyright__ = "Copyright 2015, Laboratory of Plasma Physics"
__credits__ = []
__license__ = "GPLv2"
__version__ = "1.0.0"
__maintainer__ = "Alexis Jeandet"
__email__ = "alexis.jeandet@member.fsf.org"
__status__ = "Production"

class dlp_temp():
    sensors = {0 : b'S',
               1 : b'T',
               2 : b'U',
              }
    def __init__(self,port):
        self.i=0
        self.__port=serial.Serial(port,timeout=0.5)
        
    def ping(self):
        self.__port.write(b"P")
        return b'Q' == self.__port.read(1)

    def readSensor(self,index):
        if index < 3:
            self.__port.write(self.sensors.get(index))
            dat=self.__port.read(9)
            test=( int(ord(dat[0])) + (int(ord(dat[1]))*256) )
            temp=float(test)*0.0625
            return temp #(temp-32.0)/1.8
        raise UserWarning("Parameter out of bound")
        
if __name__ == '__main__':
    print("")
